#define MiX_DEFAULTXMLTRAITS_CPP_

// Adlib/DefaultXMLTraits.cpp
// (C) Copyright KUBO,Yotaro.
// [バージョン履歴]
// 0.4.7
//   - IncludeGuardマクロ名の変更

#include "DefaultXMLTraits.h"

namespace MiX{
  template <class charT,class char_traits>
  std::basic_string<charT,char_traits> DefaultXMLTraits<charT,char_traits>::makeString(const char* src) {
    basic_string_type s;
    const char* p = src;
    for( ;*p!='\0';++p) {
      s += static_cast<charT>(*p);
    }
    return s;
  }
}

